#!/usr/bin/perl

use strict;
use warnings;

    my $path = 'upload/';
    my $mp4 = $path . 'demo.mp4';
    my $thumbnail = $path . 'thumbnail.jpg';
    my $preview = $path . 'preview.jpg';

    print "Content-type: text/html\n\n";
    print "<!DOCTYPE html>\n";
    print "<html lang='ja'>\n";
    print "<head>\n";
    print "<meta charset='UTF-8'>\n";
    print "<meta name='robots' content='noindex,nofollow'>\n";
    print "<meta name='viewport' content='width=device-width,initial-scale=1.0'>\n";
    print "<title>Enbed</title>\n";
    print "<link href='js/video-js/video-js.min.css' rel='stylesheet'>\n";
    print "<link href='css/embed.css' rel='stylesheet'>\n";
    print "<script src='https://ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js'></script>\n";
    print "<script src='js/video-js/video.min.js'></script>\n";
    print "<script src='js/videojs-contrib-media-sources.min.js'></script>\n";
    print "<script src='js/videojs-contrib-hls.min.js'></script>\n";
    print "<script src='js/videojs-func.js'></script>\n";
    print "<script>videojs.options.flash.swf = 'js/video-js/video-js.swf';</script>\n";
    print "</head>\n";
    print "<body>\n";
    print "<video id='video-player' class='video-js vjs-default-skin vjs-big-play-centered' controls preload='none' data-setup='{}'></video>\n";
    print "<script>\n";
    print "	var player = videojs('video-player');\n";
    print "	player.poster('$thumbnail');\n";
    print "	player.src({ type: 'video/mp4', src: '$mp4' });\n";
    print "	player.load();\n";

    if (-f $preview) {
        print "	player.thumbnails({ src: '$preview' });\n";
    }

    print "</script>\n";
    print "</body>\n";
    print "</html>\n";
