#!/usr/bin/perl

use strict;
use warnings;
local $ENV{PATH} = "/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin";

    my @css = (
           'https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css',
           'css/style.css',
           'css/jquery.fileupload.css'
       );

    my @js = (
           'https://ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js',
           'https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js',
           'js/jQuery-File-Upload/require/load-image.all.min.js',
           'js/jQuery-File-Upload/require/canvas-to-blob.min.js',
           'js/jQuery-File-Upload/js/vendor/jquery.ui.widget.js',
           'js/jQuery-File-Upload/js/jquery.iframe-transport.js',
           'js/jQuery-File-Upload/js/jquery.fileupload.js',
           'js/jQuery-File-Upload/js/jquery.fileupload-process.js',
           'js/jQuery-File-Upload/js/jquery.fileupload-image.js',
           'js/jQuery-File-Upload/js/jquery.fileupload-video.js',
           'js/jQuery-File-Upload/js/jquery.fileupload-validate.js',
           'js/upload.js'
       );

    print "Content-type: text/html\n\n";
    print "<!DOCTYPE html>\n";
    print "<html lang='ja'>\n";
    print "<head>\n";
    print "<meta charset='UTF-8'>\n";
    print "<meta name='robots' content='noindex,nofollow'>\n";
    print "<meta name='viewport' content='width=device-width,initial-scale=1.0,user-scalable=yes'>\n";
    print "<title>Video Upload Demo</title>\n";

    foreach (@css) { print "<link href='$_' rel='stylesheet'>\n"; }
    foreach (@js) { print "<script src='$_'></script>\n"; }

    print "</head>\n";
    print "<body>\n";
    print "<div id='wrap'>\n";
    print "<div class='container'>\n";
    print "<div class='row'>\n";
    print "<div class='col-md-8 col-md-offset-2'>\n";
    print "<h1>アップロードデモ</h1>\n";
    print "<div class='video'>\n";
    print "</div><!-- .video -->\n";
    print "<div id='progress' class='progress'>\n";
    print "<div class='progress-bar active'></div>\n";
    print "</div>\n";
    print "<div class='msg'>動画をアップロードしてください。</div>\n";
    print "<span class='btn btn-sm btn-success fileinput-button'>\n";
    print "<span>ファイルを選択</span>\n";
    print "<input id='fileupload' type='file' name='files[]'>\n";
    print "</span>\n";
    print "<a href='#' class='btn btn-sm btn-warning reset' onclick='location.reload();return false;'>リセット</a>\n";
    print "<div class='capture'>\n";
    print "<legend>キャプチャ</legend>\n";
    print "<div class='preview'></div>\n";
    print "</div><!-- .capture -->\n";
    print "</div><!-- .col-md -->\n";
    print "</div><!-- .row -->\n";
    print "</div><!-- .container -->\n";
    print "</div><!-- #wrap -->\n";
    print "</body>\n";
    print "</html>\n";

    ## reset
    my @files = qw/capture capture.log demo.mp4 preview.jpg thumbnail.jpg video.json/;
    foreach (@files) {
        `rm -rf "upload/$_" >/dev/null 2>&1`;
    }
