function reqFFmpeg() {

	$.ajax({
		type: 'GET',
		url : 'ffmpeg.pl'
	}).done(function(callback){
		$('.msg').empty().text('サムネイル画像を作成しています...');
		reqFFmpegProgress(callback.url);
	});

	return;

}

function reqFFmpegProgress(url) {

	var i = 0;

	$.ajax({
		type : 'GET',
		url  : url
	}).done(function(data){

		if (data.err) {
			i = 100;
			$('.progress-bar').addClass('progress-bar-danger').text('error');
			console.log(data);
		} else {
			i = data.cur;
			var progress = Math.round(parseInt(50, 10) + parseInt(data.cur, 10) / 2);
			$('.progress-bar').css('width', progress + '%').text(progress + '%');

			/* FFmpeg でキャプチャ完了 */
			if (i != 100) {
				reqFFmpegProgress(url);

			/* 完了後の処理 */
			} else {

				$('.msg').empty().text('アップロードが完了しました。');

				$('.capture').show();
				$('.video').append('<iframe src="embed.pl" frameborder="0" scrolling="no" allowfullscreen></iframe>');

				var ts = new Date().getTime();
				for (var i=1; i<=data.file; i++) {
					var ahref = '<a href="upload/capture/' + i + '.jpg?' + ts + '" target="_blank">';
					var img = '<img src="upload/capture/' + i + '.jpg?' + ts + '">';
					$('.capture .preview').append('<div class="col-md-2 thumbnail">' + ahref + img + '</a></div>');
				}

			}

		}

	}).fail(function(err){
		i = 100;
	});

	return i;

}

$(function () {

	'use strict';

	$('.reset').hide();
	var url = 'up.php?upload=upload&filename=demo';

	$('#fileupload').fileupload({
		url: url,
		dataType: 'json',
		maxChunkSize: 1047552,
		maxFileSize: 2147483648,
		acceptFileTypes: /\.mp4$/i,
	})
	.on('fileuploadstart', function (e) {
		$('.fileinput-button').hide();
		$('.reset').show();
		$('.msg').empty().text('アップロード中です...');
	})
	.on('fileuploadprogressall', function (e, data) {
		var progress = parseInt(data.loaded / data.total * 100 / 2, 10);
		$('.progress-bar').css('width', progress + '%');
		$('.progress-bar').text(progress + '%');
	})
	.on('fileuploaddone', function (e, data) {
		var file = data.result.files[0];
		if (file.name.match(/\.mp4/)) {
			reqFFmpeg()
		}
	})
	.on('fileuploadchunksend', function (e, data) {})
	.on('fileuploadchunkdone', function (e, data) {})
	.on('fileuploadchunkalways', function (e, data) {});

});
